Discovery - Bug #12391

Discovery breaks ignore_puppet_facts_for_provisioning global setting
11/04/2015 06:38 AM - Matt Jarvis

Status: Closed
Assignee: Lukas Zapletal

Category: Discovery plugin

Target version:

Difficulty: Fixed in Releases:
Triaged: Found in Releases:
Bugzilla link: 1313675 Red Hat JIRA:

Pull request: https://github.com/theforeman/foreman_

discovery/pull/234

Description

For the last couple of versions of Foreman, the disabling of auto-creation of network interfaces has stopped working. This used to be
disabled by setting ignore puppet facts for provisioning to True, which we have set, but we still get network interfaces being created.
This is a big problem for us on OpenStack compute nodes, which have many virtual interfaces created, and eventually this ends up
with timeouts in puppet and Foreman as there can be many hundreds of interfaces for a host, which also stops us being able to edit
the host. The only fix is to delete them all via the API.

Related issues:

Related to Foreman - Feature #9104: Disable auto network interfaces Closed 01/25/2015
Related to Foreman - Feature #11972: Implement regex for option ignore_puppet... Closed 09/26/2015
Related to Foreman - Bug #11047: Interfaces are imported even though ignore_p... Resolved 07/08/2015
Related to Discovery - Bug #14643: Migration broken with discovered hosts Closed 04/14/2016

Associated revisions

Revision 94474795 - 02/08/2016 06:58 AM - Lukas Zapletal

Fixes #12391 - introduced foreman_discovery fact parser

History

#1 - 11/04/2015 06:44 AM - Dominic Cleal

- Related to Feature #9104: Disable auto network interfaces added

#2 - 11/04/2015 06:44 AM - Dominic Cleal

- Category set to Importers

#3 - 11/05/2015 04:47 AM - Matt Jarvis

In poking around in the facts importer in the codebase | spotted this commit
https://github.com/theforeman/foreman/commit/379de99adbde93349824d4516b95079bfd970e90

which would partially solve the problem for us. In the meantime I've locally patched our copy to exclude the gbr|qvo|ovs|tap etc interfaces that
OpenStack uses which seems to be stopping them being created.

#4 - 11/09/2015 06:54 PM - Brandon Weeks

+1 | can reproduce this.
#5 - 11/09/2015 09:57 PM - Brandon Weeks
+1 | can reproduce this.

Both ignore_puppet_facts_for_provisioning and #11972 are happening "too late." The fact_name table spam is unaffected by their use.
ignore_puppet_facts_for_provisioning doesn't even seem to prevent the nics table entries from being created.

#6 - 11/09/2015 10:36 PM - Brandon Weeks

Brandon Weeks wrote:
https://github.com/theforeman/foreman/commit/379de99adbde93349824d4516b95079bfd970e90
https://projects.theforeman.org/issues/11972

+1 | can reproduce this.

Both ignore_puppet_facts_for_provisioning and #11972 are happening "too late." The fact_name table spam is unaffected by their use.
ignore_puppet_facts_for_provisioning doesn't even seem to prevent the nics table entries from being created.

https://github.com/theforeman/foreman_discovery/blob/develop/app/lib/puppet_fact parser_extensions.rb#L25

Well that's definitely the cause.

#7 - 11/10/2015 03:06 AM - Dominic Cleal
- Project changed from Foreman to Discovery

- Category changed from Importers to Discovery plugin

Ouch, that's pretty special. I'll punt this to the Discovery plugin for now then, hopefully Matt will confirm that he's got that installed too.

#8 - 11/10/2015 03:34 AM - Matt Jarvis

Yes, we've got the Discovery plugin installed.

#9 - 11/13/2015 04:44 PM - Brandon Weeks

- Related to Feature #11972: Implement regex for option ignore_puppet_facts_for_provisioning added

#10 - 11/13/2015 04:49 PM - Brandon Weeks
Thank for spotting that commit Matt, it has been a huge help for us. I've proposed backporting in #11972.

#11 - 11/17/2015 06:38 AM - Dominic Cleal

- Related to Bug #11047: Interfaces are imported even though ignore_puppet_facts_for_provisioning is set to true added

#12 - 11/27/2015 05:48 AM - Lukas Zapletal

- Subject changed from Disable auto creation of network interfaces not working to Discovery breaks ignore_puppet_facts_for_provisioning global
setting

- Status changed from New to Assigned

- Assignee set to Lukas Zapletal

Yeah a bummer, did not realize this actually affect everything.

#13 - 11/27/2015 07:24 AM - The Foreman Bot
- Status changed from Assigned to Ready For Testing
- Pull request https://github.com/theforeman/foreman_discovery/pull/234 added

#14 - 11/27/2015 07:25 AM - Lukas Zapletal

Matt, can you try this patch if it helps? https:/github.com/theforeman/foreman_discovery/pull/234

#15 - 02/08/2016 07:01 AM - Anonymous
- Status changed from Ready For Testing to Closed
- % Done changed from 0 to 100

Applied in changeset foreman_discovery|94474795d581¢2703e18087004a818973f7ebb58.

#16 - 03/02/2016 03:10 AM - Lukas Zapletal
- Bugzilla link set to 1313675

#17 - 04/14/2016 10:01 AM - Lukas Zapletal
- Related to Bug #14643: Migration broken with discovered hosts added
